/*
 * ################################################################
 *
 *                    Fractal GCM Management API
 *
 * Copyright (C) 2009 INRIA, University of
 *                    Nice-Sophia Antipolis, ActiveEon
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: proactive@ow2.org
 *
 * Authors: INRIA, University of Nice-Sophia Antipolis, ActiveEon.
 *
 * ################################################################
 */
package org.etsi.uri.gcm.api.control;

/**
 * Thrown when an error related to migrations occurs.
 * 
 * @author INRIA, University of Nice-Sophia Antipolis, ActiveEon
 */
public class MigrationException extends Exception {

    private static final long serialVersionUID = 1L;

    /**
     * Constructs a {@link MigrationException} with <code>null</code> as its
     * detail message.
     */
    public MigrationException() {
        super();
    }

    /**
     * Constructs a {@link MigrationException} with the specified detail
     * message.
     * 
     * @param message
     *            Detail message.
     */
    public MigrationException(String message) {
        super(message);
    }

    /**
     * Constructs a {@link MigrationException} with the specified detail message
     * and cause.
     * 
     * @param message
     *            Detail message.
     * @param cause
     *            Cause.
     */
    public MigrationException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a {@link MigrationException} with the specified cause and a
     * detail message of <tt>(cause==null ? null : cause.toString())</tt>.
     * 
     * @param cause
     *            Cause.
     */
    public MigrationException(Throwable cause) {
        super(cause);
    }
}
